petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFVCellGeom

Data structure (C struct) for storing information about cell geometry for a finite volume method.

### Synopsis

    typedef struct {
      PetscReal centroid[3];
      PetscReal volume;
    } PetscFVCellGeom;

Note: The components are

     PetscReal   centroid[3] - The cell centroid

     PetscReal   volume      - The cell volume

### See Also

DMPlexComputeGeometryFVM()

### Level

beginner

### Location

src/dm/dt/fv/../../../../include/petscfvtypes.h
Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages